package com.project.zcustom.service.unit;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.addional.LargeUnit;

import java.util.List;

/**
 * 地区编码Service接口
 *
 * @author change
 * @date 2024-12-30
 */
public interface ILargeUnitService extends IService<LargeUnit> {

    /**
     * 分页查询地区编码列表
     *
     * @param largeUnit 地区编码
     * @return 地区编码集合
     */
    public IPage<LargeUnit> pagingLargeUnitList(LargeUnit largeUnit);

    /**
     * 分页查询地区编码列表
     *
     * @param lqw
     * @return 地区编码集合
     */
    public IPage<LargeUnit> pagingLargeUnitList(PageParamVo pageParamVo, LambdaQueryWrapper<LargeUnit> lqw);

    /**
     * 查询地区编码列表
     *
     * @param largeUnit 地区编码
     * @return 地区编码集合
     */
    public List<LargeUnit> selectLargeUnitList(LargeUnit largeUnit);

    /**
     * 查询地区编码列表
     *
     * @param largeUnit 地区编码
     * @return 地区编码集合
     */
    public List<LargeUnit> selectLargeUnitList(LargeUnit largeUnit,Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 地区编码
     */
    public LargeUnit getLargeUnitByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 地区编码
     */
    public List<LargeUnit> selectLargeUnitListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 地区编码
     */
    public List<LargeUnit> selectLargeUnitListByField(String field, String filedValue,Long limitNum);

    /**
     *判断指定字段值是否存在
     *
     * @param field 字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue,String tips,Long id);

    /**
     *  真删接口
     */
    public void reallyDeleteLargeUnit(LambdaQueryWrapper<LargeUnit> lqw);

    public List<LargeUnit> getProjectCameraNumList();

    public int getConnectUnitNum();

    public List<LargeUnit> getAllCameraCondition();

    public LargeUnit getCameraConditionByAppOrg(String appOrg);
}
